## pandoc 1.8.1.1

=== debian/changelog ===
pandoc (1.8.1.1-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#613256, #592851. Thanks to Juhapekka Tolvanen and
    Giovanni Mascellani.
  * Update copyright file format to DEP5 draft 174.
  * Update long descriptions to mention newly supported formats and
    features.
  * Update copyright-check suppression hint to match recent CDBS
    releases.
  * Tighten and extend build-dependencies.
  * Bump policy compliance to standards-version 3.9.2.
  * Adapt (build-)dependencies to new GHC naming scheme.
  * Update naming of -dev and -doc packages to drop Haskell major
    version. Thanks to Giovanni Mascellani.
  * Fix install pandoc_markdown.5 manpage.
  * Fix add all data files.
    Closes: bug#610583. Thanks to Rogério Brito.
  * Fix suggest related -doc packages for our -doc package.
  * Put aside upstream-shipped temp files (manpages) during build.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 May 2011 14:44:58 +0200

pandoc (1.6-1) experimental; urgency=low

  * New upstream release.
  * Drop patch 0001 now included upstream.
  * Bump Policy compliance to Standards-Version 3.9.1.
  * Tighten build-dependencies on libghc6-highlighting-kate-dev and
    libghc6-texmath-dev.
  * Sync long descriptions with upstream README: Mention new output
    formats EPUB and Slidy.
  * (Build-)depend on parsec3 packages (not parsec2).
  * Ease building with git-buildpackage:
    + Git-ignore (eventual) quilt .pc dir.
    + Add dpkg-source local-options abort-on-upstream-changes and
      unapply-patches.
  * Rewrite copyright file using Bazaar rev. 137 draft of DEP5 format.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 31 Dec 2010 17:12:44 +0100
