## pandoc 1.8.2.1

=== debian/changelog ===
pandoc (1.8.2.1-2) unstable; urgency=low

  * Bump debhelper compatibility level to 7.
  * Update package relations:
    + Fix stop bogusly depending on libghc-rts-doc or libghc-rts-prof.
    + Build-depend-indep on ghc-haddock (not on virtual haddock).
    + Add ${haskell:Depends} ${haskell:Recommends} ${haskell:Suggests}
      and ${haskell:Provides}, and stop explicitly suggesting *-doc
      packages.
      This fixes: bug#640963. Thanks to Clint Adams.
    + Fix depend on ${shlibs:Depends}.
    + Relax to build-depend unversioned on devscripts and debhelper:
      Needed version satisfied even in oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Sep 2011 16:36:16 +0200

pandoc (1.8.2.1-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#640645. Thanks to Clint Adams.
  * Fix adjust package dependencies for recent upstream releases:
    + Suggest texlive-luatex.
    + Stop suggesting texlive-latex-extra.
    + Relax build-dependency on libghc-pandoc-types-dev.
  * Adjust long description: Update references to suggested LaTeX
    packages.
  * Fix build-depend on a bunch of libghc-*-doc.
  * Build-depend on a bunch of libghc-*-prof. Provide binary package
    libghc-pandoc-prof.
    Closes: bug#630713. Thanks to Clint Adams.
  * Fix use true upstream hackage URL (not googlecode).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 Sep 2011 18:10:58 +0200

pandoc (1.8.2-1) unstable; urgency=low

  * Build-depend on and suggest some additional -doc packages.
  * Imported Upstream version 1.8.2
  * Update md5sum hint for new upstream 1.8.2 release.
  * Build-depend on libghc-base64-bytestring-dev and -doc. Tighten
    build-dependency on libghc-pandoc-types-dev.
  * Update copyright file: Add Slidy, licensed W3C-Document and
    W3C-Software.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Aug 2011 10:46:52 +0200
