=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: text
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs (>= 0.4.70~),
- devscripts (>= 2.10.7~),
- debhelper (>= 6),
+Build-Depends: cdbs (>= 0.4.72~),
+ devscripts,
+ debhelper,
  dh-buildinfo,
  ghc,
  libghc-syb-dev,
@@ -18,17 +18,69 @@
  libghc-texmath-dev (<< 0.6),
  libghc-xml-dev (<< 1.4),
  libghc-citeproc-hs-dev (<< 0.4),
+ libghc-pandoc-types-dev (>= 1.8),
  libghc-pandoc-types-dev (<< 1.9),
  libghc-json-dev (<< 0.5),
  libghc-dlist-dev (<< 0.6),
  libghc-tagsoup-dev (<< 0.13),
+ libghc-base64-bytestring-dev (>= 0.1),
+ libghc-base64-bytestring-dev (<< 0.2),
  libghc-highlighting-kate-dev (<< 0.3),
  libghc-diff-dev,
  libghc-testpack-dev,
  hscolour (>= 1.8),
  ghc-doc,
+ libghc-syb-doc,
+ libghc-parsec3-doc,
+ libghc-xhtml-doc,
+ libghc-mtl-doc,
+ libghc-network-doc,
+ libghc-zip-archive-doc,
+ libghc-utf8-string-doc,
+ libghc-http-doc,
+ libghc-texmath-doc,
+ libghc-xml-doc,
+ libghc-citeproc-hs-doc,
+ libghc-pandoc-types-doc,
+ libghc-json-doc,
+ libghc-dlist-doc,
+ libghc-tagsoup-doc,
+ libghc-base64-bytestring-doc,
+ libghc-highlighting-kate-doc,
+ libghc-diff-doc,
+ libghc-testpack-doc,
+ libghc-binary-doc,
+ libghc-digest-doc,
+ libghc-pcre-light-doc,
+ libghc-transformers-doc,
+ libghc-zlib-doc,
+ ghc-prof,
+ libghc-syb-prof,
+ libghc-parsec3-prof,
+ libghc-xhtml-prof,
+ libghc-mtl-prof,
+ libghc-network-prof,
+ libghc-zip-archive-prof,
+ libghc-utf8-string-prof,
+ libghc-http-prof,
+ libghc-texmath-prof,
+ libghc-xml-prof,
+ libghc-citeproc-hs-prof,
+ libghc-pandoc-types-prof,
+ libghc-json-prof,
+ libghc-dlist-prof,
+ libghc-tagsoup-prof,
+ libghc-base64-bytestring-prof,
+ libghc-highlighting-kate-prof,
+ libghc-diff-prof,
+ libghc-testpack-prof,
+ libghc-binary-prof,
+ libghc-digest-prof,
+ libghc-pcre-light-prof,
+ libghc-transformers-prof,
+ libghc-zlib-prof,
  haskell-devscripts (>=0.5.12)
-Build-Depends-Indep: haddock
+Build-Depends-Indep: ghc-haddock
 Standards-Version: 3.9.2
 Homepage: http://johnmacfarlane.net/pandoc/
 Vcs-Git: git://git.debian.org/git/collab-maint/pandoc.git
@@ -37,7 +89,8 @@
 Package: pandoc
 Section: text
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}
+ , ${misc:Depends}
 Suggests: ${cdbs:Suggests}
 Description: general markup converter
  Pandoc is a Haskell library for converting from one markup format to
@@ -63,14 +116,22 @@
  .
  This package contains the pandoc tool itself, and the wrapper script
  markdown2pdf for converting markdown documents to PDFs via LaTeX
- (requires texlive-latex-extra) or XeLaTeX (requires texlive-xetex).
+ (requires texlive-latex-recommended) using either PDFLaTeX, XeLaTeX
+ (additionally requires texlive-xetex) or LuaTeX (additionally requires
+ texlive-luatex).
 
 Package: libghc-pandoc-dev
 Section: haskell
 Priority: extra
 Architecture: any
-Depends: ${haskell:Depends}, ${cdbs:Depends}, ${misc:Depends}
+Depends: ${haskell:Depends}
+ , ${shlibs:Depends}
+ , ${cdbs:Depends}
+ , ${misc:Depends}
+Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
+ , ${cdbs:Suggests}
+Provides: ${haskell:Provides}
 Description: general markup converter
  Pandoc is a Haskell library for converting from one markup format to
  another, and a command-line tool that uses this library. It can read
@@ -99,8 +160,11 @@
 Section: doc
 Priority: extra
 Architecture: all
-Depends: ${misc:Depends}
-Suggests: ${cdbs:Suggests}
+Depends: ${haskell:Depends}
+ , ${misc:Depends}
+Recommends: ${haskell:Recommends}
+Suggests: ${haskell:Suggests}
+ , ${cdbs:Suggests}
 Description: general markup converter
  Pandoc is a Haskell library for converting from one markup format to
  another, and a command-line tool that uses this library. It can read
@@ -124,3 +188,37 @@
  an input or output format requires only adding a reader or writer.
  .
  This package contains the library documentation for Pandoc.
+
+Package: libghc-pandoc-prof
+Section: haskell
+Priority: extra
+Architecture: any
+Depends: ${haskell:Depends}
+ , ${misc:Depends}
+Recommends: ${haskell:Recommends}
+Suggests: ${haskell:Suggests}
+ , ${cdbs:Suggests}
+Provides: ${haskell:Provides}
+Description: general markup converter
+ Pandoc is a Haskell library for converting from one markup format to
+ another, and a command-line tool that uses this library. It can read
+ markdown and (subsets of) reStructuredText, HTML, and LaTeX; and it can
+ write plain text, markdown, reStructuredText, HTML, LaTeX, ConTeXt,
+ RTF, DocBook XML, OpenDocument XML, ODT, GNU Texinfo, MediaWiki markup,
+ EPUB, Textile, groff man pages, Emacs Org-mode, and Slidy or S5 HTML
+ slide shows.
+ .
+ Pandoc's enhanced version of markdown includes syntax for footnotes,
+ tables, flexible ordered lists, definition lists, delimited code
+ blocks, superscript, subscript, strikeout, title blocks, automatic
+ tables of contents, embedded LaTeX math, citations, and markdown inside
+ HTML block elements.  (These enhancements can optionally be disabled.)
+ .
+ In contrast to most existing tools for converting markdown to HTML,
+ which use regex substitutions, Pandoc has a modular design: it consists
+ of a set of readers, which parse text in a given format and produce a
+ native representation of the document, and a set of writers, which
+ convert this native representation into a target format. Thus, adding
+ an input or output format requires only adding a reader or writer.
+ .
+ This package contains the profiling libraries for Pandoc.
