=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,8 @@
 # ABI by default follows upstream version (without repackaging suffix)
 abi = $(DEB_UPSTREAM_TARBALL_VERSION)
 
-DEB_UPSTREAM_URL = http://pandoc.googlecode.com/files
-DEB_UPSTREAM_TARBALL_MD5 = f5eb2d711cd65f2842487a6599de59b7
+DEB_UPSTREAM_URL = http://hackage.haskell.org/packages/archive/$(DEB_UPSTREAM_PACKAGE)/$(DEB_UPSTREAM_TARBALL_VERSION)
+DEB_UPSTREAM_TARBALL_MD5 = 14ee1d068ca6b6b9f57c12bb45ba42db
 
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^.*\.(gif|jpg|odt)|debian/(changelog|copyright(|_hints|_newhints))$
 
@@ -53,11 +53,13 @@
 haskell-clean:
 	[ ! -x "$(DEB_SETUP_BIN_NAME)" ] || $(DEB_SETUP_BIN_NAME) clean
 
+deps-stems = syb parsec3 xhtml mtl network zip-archive utf8-string http texmath xml citeproc-hs
+deps-stems += pandoc-types json dlist tagsoup base64-bytestring highlighting-kate diff testpack
+deps-stems += binary digest pcre-light transformers zlib
 deps-doc = ghc-doc
-deps-stems = syb parsec3 xhtml mtl network zip-archive utf8-string http texmath xml citeproc-hs
-deps-stems += pandoc-types json dlist tagsoup highlighting-kate diff testpack
-deps-stems += pcre-light
-deps-doc += , $(patsubst %, libghc-%-doc, $(deps-doc-stems))
+deps-doc += $(patsubst %,$(comma) libghc-%-doc, $(deps-stems))
+deps-prof = ghc-prof
+deps-prof += $(patsubst %,$(comma) libghc-%-prof, $(deps-stems))
 
 # Needed by upstream build process
 CDBS_BUILD_DEPENDS += , ghc, libghc-syb-dev
@@ -71,20 +73,19 @@
 CDBS_BUILD_DEPENDS += , libghc-texmath-dev (<< 0.6)
 CDBS_BUILD_DEPENDS += , libghc-xml-dev (<< 1.4)
 CDBS_BUILD_DEPENDS += , libghc-citeproc-hs-dev (<< 0.4)
-CDBS_BUILD_DEPENDS += , libghc-pandoc-types-dev (<< 1.9)
+CDBS_BUILD_DEPENDS += , libghc-pandoc-types-dev (>= 1.8), libghc-pandoc-types-dev (<< 1.9)
 CDBS_BUILD_DEPENDS += , libghc-json-dev (<< 0.5)
 CDBS_BUILD_DEPENDS += , libghc-dlist-dev (<< 0.6)
 CDBS_BUILD_DEPENDS += , libghc-tagsoup-dev (<< 0.13)
+CDBS_BUILD_DEPENDS += , libghc-base64-bytestring-dev (>= 0.1), libghc-base64-bytestring-dev (<< 0.2)
 CDBS_BUILD_DEPENDS += , libghc-highlighting-kate-dev (<< 0.3)
 CDBS_BUILD_DEPENDS += , libghc-diff-dev, libghc-testpack-dev
 CDBS_BUILD_DEPENDS += , hscolour (>= 1.8)
-CDBS_BUILD_DEPENDS += , $(deps-doc)
+CDBS_BUILD_DEPENDS += , $(deps-doc), $(deps-prof)
 
 # Needed for our packaging
 CDBS_BUILD_DEPENDS += , haskell-devscripts (>=0.5.12)
 
 # Needed (always/often/seldom) at runtime
 #  texlive-* needed for markdown2pdf script
-#  (texlive-latex-recommended mostly ok except ucs.sty - see bug#571678)
-CDBS_SUGGESTS_pandoc = texlive-latex-recommended, texlive-latex-extra, texlive-xetex
-CDBS_SUGGESTS_libghc-pandoc-doc = $(deps-doc)
+CDBS_SUGGESTS_pandoc = texlive-latex-recommended, texlive-xetex, texlive-luatex
