=== debian/watch ===
# run the "uscan" command to check for upstream updates and more.
version=3
http://hackage.haskell.org/packages/archive/pandoc/1.8.2.1/pandoc-(.*)\.tar\.gz
