## pandoc 1.9.1.1

=== debian/changelog ===
pandoc (1.9.1.1-1) unstable; urgency=low

  * New upstream release.

  [ Kiwamu Okabe ]
  * Allow DM uploads.
  * New debian/watch file to scan pandoc 1.9
  * Bump standards-version to 3.9.3.
  * Move maintenance to Haskell team, with Jonas and Kiwamu as
    uploaders.
  * Add new (build-)dependencies:
    + libghc-blaze-html-*
    + libghc-temporary-*
    + libghc-zlib-*
    Drop obsolete (build-)dependency:
    + libghc-deepseq-*
    Tighten build-dependencies:
    + libghc-http-dev
    + libghc-texmath-dev
    + libghc-pandoc-types-dev
    + libghc-json-dev
    + libghc-highlighting-kate-dev

  [ Jonas Smedegaard ]
  * Newline-delimit uploaders field.
  * Update copyright file:
    + Extend copyright years.
    + Adapt a Files section.
    + Bump copyright format to final version 1.0.
  * Update long descriptions:
    + Mention newly supported output formats:
      - Word Docx
      - AsciiDoc
      - DZSlides.
    + Explicitly mention output formats XHTML and HTML 5.
    + Explicitly mention out put (sub)format LaTeX beamer.
    + No longer mention markdown2pdf: Dropped upstream.

  [ Clint Adams ]
  * Move -doc build dependencies to Build-Depends-Indep.

 -- Clint Adams <clint@debian.org>  Sun, 04 Mar 2012 20:35:25 -0500
