=== debian/control ===
--- 
+++ 
@@ -1,7 +1,10 @@
 Source: pandoc
 Section: text
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Uploaders: Jonas Smedegaard <dr@jones.dk>
+  , Kiwamu Okabe <kiwamu@debian.or.jp>
+  , Clint Adams <clint@debian.org>
 Build-Depends: cdbs (>= 0.4.72~),
  devscripts,
  debhelper,
@@ -14,46 +17,31 @@
  libghc-network-dev (<< 2.4),
  libghc-zip-archive-dev (<< 0.2),
  libghc-utf8-string-dev,
- libghc-http-dev (<< 1:4000.2),
- libghc-texmath-dev (<< 0.6),
+ libghc-http-dev (>= 1:4000.0.5),
+ libghc-http-dev (<< 1:4000.3),
+ libghc-texmath-dev (>= 0.6.0.2),
+ libghc-texmath-dev (<< 0.7),
  libghc-xml-dev (<< 1.4),
  libghc-citeproc-hs-dev (<< 0.4),
- libghc-pandoc-types-dev (>= 1.8),
- libghc-pandoc-types-dev (<< 1.9),
- libghc-json-dev (<< 0.5),
+ libghc-pandoc-types-dev (>= 1.9.0.2),
+ libghc-pandoc-types-dev (<< 1.10),
+ libghc-json-dev (>= 0.4),
+ libghc-json-dev (<< 0.6),
  libghc-dlist-dev (<< 0.6),
  libghc-tagsoup-dev (<< 0.13),
  libghc-base64-bytestring-dev (>= 0.1),
  libghc-base64-bytestring-dev (<< 0.2),
- libghc-highlighting-kate-dev (<< 0.3),
+ libghc-highlighting-kate-dev (>= 0.5.0.2),
+ libghc-highlighting-kate-dev (<< 0.6),
  libghc-diff-dev,
  libghc-testpack-dev,
+ libghc-blaze-html-dev (>= 0.4.3.0),
+ libghc-blaze-html-dev (<< 0.5),
+ libghc-temporary-dev (>= 1.1),
+ libghc-temporary-dev (<< 1.2),
+ libghc-zlib-dev (>= 0.5),
+ libghc-zlib-dev (<= 0.6),
  hscolour (>= 1.8),
- ghc-doc,
- libghc-syb-doc,
- libghc-parsec3-doc,
- libghc-xhtml-doc,
- libghc-mtl-doc,
- libghc-network-doc,
- libghc-zip-archive-doc,
- libghc-utf8-string-doc,
- libghc-http-doc,
- libghc-texmath-doc,
- libghc-xml-doc,
- libghc-citeproc-hs-doc,
- libghc-pandoc-types-doc,
- libghc-json-doc,
- libghc-dlist-doc,
- libghc-tagsoup-doc,
- libghc-base64-bytestring-doc,
- libghc-highlighting-kate-doc,
- libghc-diff-doc,
- libghc-testpack-doc,
- libghc-binary-doc,
- libghc-digest-doc,
- libghc-pcre-light-doc,
- libghc-transformers-doc,
- libghc-zlib-doc,
  ghc-prof,
  libghc-syb-prof,
  libghc-parsec3-prof,
@@ -79,12 +67,41 @@
  libghc-pcre-light-prof,
  libghc-transformers-prof,
  libghc-zlib-prof,
+ libghc-blaze-html-prof,
+ libghc-temporary-prof,
  haskell-devscripts (>=0.5.12)
-Build-Depends-Indep: ghc-haddock
-Standards-Version: 3.9.2
+Build-Depends-Indep: ghc-doc
+  , libghc-syb-doc
+  , libghc-parsec3-doc
+  , libghc-xhtml-doc
+  , libghc-mtl-doc
+  , libghc-network-doc
+  , libghc-zip-archive-doc
+  , libghc-utf8-string-doc
+  , libghc-http-doc
+  , libghc-texmath-doc
+  , libghc-xml-doc
+  , libghc-citeproc-hs-doc
+  , libghc-pandoc-types-doc
+  , libghc-json-doc
+  , libghc-dlist-doc
+  , libghc-tagsoup-doc
+  , libghc-base64-bytestring-doc
+  , libghc-highlighting-kate-doc
+  , libghc-diff-doc
+  , libghc-testpack-doc
+  , libghc-binary-doc
+  , libghc-digest-doc
+  , libghc-pcre-light-doc
+  , libghc-transformers-doc
+  , libghc-zlib-doc
+  , libghc-blaze-html-doc
+  , libghc-temporary-doc
+Standards-Version: 3.9.3
 Homepage: http://johnmacfarlane.net/pandoc/
 Vcs-Git: git://git.debian.org/git/collab-maint/pandoc.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pandoc.git;a=summary
+DM-Upload-Allowed: yes
 
 Package: pandoc
 Section: text
@@ -96,29 +113,31 @@
  Pandoc is a Haskell library for converting from one markup format to
  another, and a command-line tool that uses this library. It can read
  markdown and (subsets of) reStructuredText, HTML, and LaTeX; and it can
- write plain text, markdown, reStructuredText, HTML, LaTeX, ConTeXt,
- RTF, DocBook XML, OpenDocument XML, ODT, GNU Texinfo, MediaWiki markup,
- EPUB, Textile, groff man pages, Emacs Org-mode, and Slidy or S5 HTML
- slide shows.
- .
- Pandoc's enhanced version of markdown includes syntax for footnotes,
- tables, flexible ordered lists, definition lists, delimited code
- blocks, superscript, subscript, strikeout, title blocks, automatic
- tables of contents, embedded LaTeX math, citations, and markdown inside
- HTML block elements.  (These enhancements can optionally be disabled.)
- .
- In contrast to most existing tools for converting markdown to HTML,
- which use regex substitutions, Pandoc has a modular design: it consists
- of a set of readers, which parse text in a given format and produce a
- native representation of the document, and a set of writers, which
- convert this native representation into a target format. Thus, adding
- an input or output format requires only adding a reader or writer.
- .
- This package contains the pandoc tool itself, and the wrapper script
- markdown2pdf for converting markdown documents to PDFs via LaTeX
- (requires texlive-latex-recommended) using either PDFLaTeX, XeLaTeX
- (additionally requires texlive-xetex) or LuaTeX (additionally requires
- texlive-luatex).
+ write plain text, markdown, reStructuredText, XHTML, HTML 5, LaTeX
+ (including beamer slide shows), ConTeXt, RTF, DocBook XML, OpenDocument
+ XML, ODT, Word docx, GNU Texinfo, MediaWiki markup, EPUB, Textile,
+ groff man pages, Emacs Org-Mode, AsciiDoc, and Slidy, DZSlides, or S5
+ HTML slide shows. It can also produce PDF output on systems where LaTeX
+ is installed.
+ .
+ Pandoc's enhanced version of markdown includes syntax for footnotes,
+ tables, flexible ordered lists, definition lists, delimited code
+ blocks, superscript, subscript, strikeout, title blocks, automatic
+ tables of contents, embedded LaTeX math, citations, and markdown inside
+ HTML block elements.  (These enhancements can optionally be disabled.)
+ .
+ In contrast to most existing tools for converting markdown to HTML,
+ which use regex substitutions, Pandoc has a modular design: it consists
+ of a set of readers, which parse text in a given format and produce a
+ native representation of the document, and a set of writers, which
+ convert this native representation into a target format. Thus, adding
+ an input or output format requires only adding a reader or writer.
+ .
+ This package contains the pandoc tool.
+ .
+ PDF output via PDFLaTeX requires the package texlive-latex-recommended,
+ via XeLaTeX it additionally requires texlive-xetex, and via LuaTeX
+ additionally texlive-luatex.
 
 Package: libghc-pandoc-dev
 Section: haskell
@@ -136,10 +155,12 @@
  Pandoc is a Haskell library for converting from one markup format to
  another, and a command-line tool that uses this library. It can read
  markdown and (subsets of) reStructuredText, HTML, and LaTeX; and it can
- write plain text, markdown, reStructuredText, HTML, LaTeX, ConTeXt,
- RTF, DocBook XML, OpenDocument XML, ODT, GNU Texinfo, MediaWiki markup,
- EPUB, Textile, groff man pages, Emacs Org-mode, and Slidy or S5 HTML
- slide shows.
+ write plain text, markdown, reStructuredText, XHTML, HTML 5, LaTeX
+ (including beamer slide shows), ConTeXt, RTF, DocBook XML, OpenDocument
+ XML, ODT, Word docx, GNU Texinfo, MediaWiki markup, EPUB, Textile,
+ groff man pages, Emacs Org-Mode, AsciiDoc, and Slidy, DZSlides, or S5
+ HTML slide shows. It can also produce PDF output on systems where LaTeX
+ is installed.
  .
  Pandoc's enhanced version of markdown includes syntax for footnotes,
  tables, flexible ordered lists, definition lists, delimited code
@@ -169,10 +190,12 @@
  Pandoc is a Haskell library for converting from one markup format to
  another, and a command-line tool that uses this library. It can read
  markdown and (subsets of) reStructuredText, HTML, and LaTeX; and it can
- write plain text, markdown, reStructuredText, HTML, LaTeX, ConTeXt,
- RTF, DocBook XML, OpenDocument XML, ODT, GNU Texinfo, MediaWiki markup,
- EPUB, Textile, groff man pages, Emacs Org-mode, and Slidy or S5 HTML
- slide shows.
+ write plain text, markdown, reStructuredText, XHTML, HTML 5, LaTeX
+ (including beamer slide shows), ConTeXt, RTF, DocBook XML, OpenDocument
+ XML, ODT, Word docx, GNU Texinfo, MediaWiki markup, EPUB, Textile,
+ groff man pages, Emacs Org-Mode, AsciiDoc, and Slidy, DZSlides, or S5
+ HTML slide shows. It can also produce PDF output on systems where LaTeX
+ is installed.
  .
  Pandoc's enhanced version of markdown includes syntax for footnotes,
  tables, flexible ordered lists, definition lists, delimited code
@@ -203,10 +226,12 @@
  Pandoc is a Haskell library for converting from one markup format to
  another, and a command-line tool that uses this library. It can read
  markdown and (subsets of) reStructuredText, HTML, and LaTeX; and it can
- write plain text, markdown, reStructuredText, HTML, LaTeX, ConTeXt,
- RTF, DocBook XML, OpenDocument XML, ODT, GNU Texinfo, MediaWiki markup,
- EPUB, Textile, groff man pages, Emacs Org-mode, and Slidy or S5 HTML
- slide shows.
+ write plain text, markdown, reStructuredText, XHTML, HTML 5, LaTeX
+ (including beamer slide shows), ConTeXt, RTF, DocBook XML, OpenDocument
+ XML, ODT, Word docx, GNU Texinfo, MediaWiki markup, EPUB, Textile,
+ groff man pages, Emacs Org-Mode, AsciiDoc, and Slidy, DZSlides, or S5
+ HTML slide shows. It can also produce PDF output on systems where LaTeX
+ is installed.
  .
  Pandoc's enhanced version of markdown includes syntax for footnotes,
  tables, flexible ordered lists, definition lists, delimited code
