=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 abi = $(DEB_UPSTREAM_TARBALL_VERSION)
 
 DEB_UPSTREAM_URL = http://hackage.haskell.org/packages/archive/$(DEB_UPSTREAM_PACKAGE)/$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = 14ee1d068ca6b6b9f57c12bb45ba42db
+DEB_UPSTREAM_TARBALL_MD5 = 8e596946c1c8982c1b5a6bdc4d13b5a0
 
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^.*\.(gif|jpg|odt)|debian/(changelog|copyright(|_hints|_newhints))$
 
@@ -24,7 +24,7 @@
 DEB_SETUP_GHC6_CONFIGURE_ARGS += --ghc-options="+RTS -V0 -RTS"
 
 # put aside upstream-shipped temp files during build but after copyright-check
-upstreamtmpfiles = man/man1/markdown2pdf.1 man/man1/pandoc.1 man/man5/pandoc_markdown.5
+upstreamtmpfiles = man/man1/pandoc.1 man/man5/pandoc_markdown.5
 pre-build:: debian/stamp-upstreamtmpstuff
 debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
 	for file in $(upstreamtmpfiles); do \
@@ -55,7 +55,7 @@
 
 deps-stems = syb parsec3 xhtml mtl network zip-archive utf8-string http texmath xml citeproc-hs
 deps-stems += pandoc-types json dlist tagsoup base64-bytestring highlighting-kate diff testpack
-deps-stems += binary digest pcre-light transformers zlib
+deps-stems += binary digest pcre-light transformers zlib blaze-html temporary
 deps-doc = ghc-doc
 deps-doc += $(patsubst %,$(comma) libghc-%-doc, $(deps-stems))
 deps-prof = ghc-prof
@@ -69,17 +69,20 @@
 CDBS_BUILD_DEPENDS += , libghc-network-dev (<< 2.4)
 CDBS_BUILD_DEPENDS += , libghc-zip-archive-dev (<< 0.2)
 CDBS_BUILD_DEPENDS += , libghc-utf8-string-dev
-CDBS_BUILD_DEPENDS += , libghc-http-dev (<< 1:4000.2)
-CDBS_BUILD_DEPENDS += , libghc-texmath-dev (<< 0.6)
+CDBS_BUILD_DEPENDS += , libghc-http-dev (>= 1:4000.0.5), libghc-http-dev (<< 1:4000.3)
+CDBS_BUILD_DEPENDS += , libghc-texmath-dev (>= 0.6.0.2), libghc-texmath-dev (<< 0.7)
 CDBS_BUILD_DEPENDS += , libghc-xml-dev (<< 1.4)
 CDBS_BUILD_DEPENDS += , libghc-citeproc-hs-dev (<< 0.4)
-CDBS_BUILD_DEPENDS += , libghc-pandoc-types-dev (>= 1.8), libghc-pandoc-types-dev (<< 1.9)
-CDBS_BUILD_DEPENDS += , libghc-json-dev (<< 0.5)
+CDBS_BUILD_DEPENDS += , libghc-pandoc-types-dev (>= 1.9.0.2), libghc-pandoc-types-dev (<< 1.10)
+CDBS_BUILD_DEPENDS += , libghc-json-dev (>= 0.4), libghc-json-dev (<< 0.6)
 CDBS_BUILD_DEPENDS += , libghc-dlist-dev (<< 0.6)
 CDBS_BUILD_DEPENDS += , libghc-tagsoup-dev (<< 0.13)
 CDBS_BUILD_DEPENDS += , libghc-base64-bytestring-dev (>= 0.1), libghc-base64-bytestring-dev (<< 0.2)
-CDBS_BUILD_DEPENDS += , libghc-highlighting-kate-dev (<< 0.3)
+CDBS_BUILD_DEPENDS += , libghc-highlighting-kate-dev (>= 0.5.0.2), libghc-highlighting-kate-dev (<< 0.6)
 CDBS_BUILD_DEPENDS += , libghc-diff-dev, libghc-testpack-dev
+CDBS_BUILD_DEPENDS += , libghc-blaze-html-dev (>= 0.4.3.0), libghc-blaze-html-dev (<< 0.5)
+CDBS_BUILD_DEPENDS += , libghc-temporary-dev (>= 1.1), libghc-temporary-dev (<< 1.2)
+CDBS_BUILD_DEPENDS += , libghc-zlib-dev (>= 0.5), libghc-zlib-dev (<= 0.6)
 CDBS_BUILD_DEPENDS += , hscolour (>= 1.8)
 CDBS_BUILD_DEPENDS += , $(deps-doc), $(deps-prof)
 
@@ -87,5 +90,5 @@
 CDBS_BUILD_DEPENDS += , haskell-devscripts (>=0.5.12)
 
 # Needed (always/often/seldom) at runtime
-#  texlive-* needed for markdown2pdf script
+#  texlive-* needed for PDF output support
 CDBS_SUGGESTS_pandoc = texlive-latex-recommended, texlive-xetex, texlive-luatex
