## pandoc 1.9.4.2

=== debian/changelog ===
pandoc (1.9.4.2-2build1) quantal; urgency=low

  * No-change rebuild for GHC 7.4.2

 -- Iain Lane <laney@ubuntu.com>  Sun, 26 Aug 2012 09:11:58 +0000

pandoc (1.9.4.2-2) unstable; urgency=low

  * Cherry-pick patch from upstream to not build with the threaded runtime.
    It has a performance penalty and is not supported on multiple Debian
    architectures, leading to build failures there. (Closes: #682433)

 -- Iain Lane <laney@debian.org>  Mon, 23 Jul 2012 20:48:54 +0100

pandoc (1.9.4.2-1) unstable; urgency=low

  * New upstream version, fixing non-ASCII filenames.
  * Add Recommends on libghc-citeproc-hs-data (for --bibliography).

 -- Clint Adams <clint@debian.org>  Sat, 30 Jun 2012 07:14:43 -0400

pandoc (1.9.4.1-1) unstable; urgency=low

  * New upstream release.

  * Update long description to mention new Slideous output format.
  * Tighten (build-)dependencies for highlighting-kate-* packages,
    reflecting upstream change.
  * Drop patch: Adopted upstream.
  * Drop NEWS file: contents relevant only for transisitions from Lenny
    (now oldstable).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Jun 2012 23:12:23 +0200

pandoc (1.9.3-1) unstable; urgency=low

  * New upstream release.

  * (Build-)depend on GHC -doc and -prof packages of blaze-builder
    hs-bibutils random and text: Indirectly needed (at least for -doc
    packages) but not pulled in.
  * Update package relations:
    + Fix have pandoc package recommend libghc-citeproc-hs-data.
      Closes: bug#645530.
    + Fix tighten dependencies needed since 1.8.0.1:
      - libghc-utf8-string-*
      - libghc-syb-*
    + Fix drop dependencies unused since 1.9.1.1:
      - libghc-xhtml-*
      - libghc-dlist-*
    + Fix drop dependencies apparently never used:
      - libghc-testpack-*
      - hscolour
    + Fix drop dependencies apparently used only for testsuite (which
      fails currently so is not enabled):
      - diff
      - test-framework-dev
      - test-framework-hunit-dev
      - test-framework-quickcheck2-dev
      - quickcheck-dev
      - hunit-dev
      - template-haskell-dev
      - ansi-terminal-dev
    + Fix exclude upper bound of libghc-zlib-* versioning (<< not <=).
    + Fix have libghc-* packages depend on ${haskell:Extra-Depends}, as
      suggested in bug#645530.
    + Tighten dependencies needed since 1.9.3:
      - libghc-mtl-*
    + Generally relax to drop lower bound of versionings: Satisfied in
      Wheezy and unavailable in Squeeze or Lenny (libghc-* naming was
      introduced post-Squeeze).
    + Build-depend only on libghc-*-prof packages explicitly declared in
      upstream cabal file (only include libghc-*-doc packages when
      Haddock complains).
    + Sort package relations.
  * Extend long description to mention newly added support for reading
    (not only writing) DocBook XML.
  * Add patch 1001 to support setting language in slidy output.
  * Update copyright file: Extend copyright years.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 May 2012 21:34:54 +0200

pandoc (1.9.2-1) unstable; urgency=low

  * New upstream release.

  * Drop dpkg-source local-options hint: Declared options are default
    since dpkg-source 1.16.1.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Update copyright file:
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
    + Quote license strings in License comment field.
    + Explicitly mention when non-copyrighted files are in the public
      domain.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Apr 2012 11:39:57 -0400
